import { styled } from '@mui/material';
import { useTheme } from '@mui/material/styles';

interface InstagramIconProps {
  iconColor?: string;
  circleColor?: string;
}

export const InstagramIcon = styled((props: InstagramIconProps) => {
  const theme = useTheme();
  const {
    circleColor = '#FFFFFF',
    iconColor = theme.palette.secondary.main,
    ...other
  } = props;

  return (
    <svg
      width="24"
      height="24"
      fill="none"
      viewBox="0 0 24 24"
      xmlns="http://www.w3.org/2000/svg"
      {...other}
    >
      <ellipse cx="12.1905" cy="11.5405" rx="10.2857" ry="9.67914" fill={iconColor} />
      <path d="M14.2969 11.727C14.2969 12.9666 13.2686 13.9715 12 13.9715C10.7314 13.9715 9.70312 12.9666 9.70312 11.727C9.70312 10.4873 10.7314 9.48242 12 9.48242C13.2686 9.48242 14.2969 10.4873 14.2969 11.727Z" fill={circleColor} />
      <path d="M17.3713 7.75607C17.2609 7.46369 17.0848 7.19904 16.8559 6.98182C16.6336 6.75815 16.363 6.58601 16.0636 6.47812C15.8208 6.38597 15.4561 6.27628 14.7842 6.2464C14.0575 6.21401 13.8396 6.20703 11.9998 6.20703C10.1597 6.20703 9.94183 6.21383 9.21527 6.24622C8.54346 6.27628 8.17853 6.38597 7.93591 6.47812C7.63654 6.58601 7.36572 6.75815 7.14362 6.98182C6.91473 7.19904 6.73859 7.46351 6.62799 7.75607C6.53369 7.99333 6.42145 8.34995 6.39087 9.00646C6.35773 9.71647 6.35059 9.92941 6.35059 11.7275C6.35059 13.5255 6.35773 13.7384 6.39087 14.4486C6.42145 15.1051 6.53369 15.4615 6.62799 15.6988C6.73859 15.9913 6.91455 16.2558 7.14343 16.473C7.36572 16.6967 7.63635 16.8688 7.93573 16.9767C8.17853 17.0691 8.54346 17.1788 9.21527 17.2086C9.94183 17.241 10.1595 17.2478 11.9996 17.2478C13.8398 17.2478 14.0577 17.241 14.7841 17.2086C15.4559 17.1788 15.8208 17.0691 16.0636 16.9767C16.6646 16.7502 17.1395 16.2861 17.3713 15.6988C17.4656 15.4615 17.5779 15.1051 17.6086 14.4486C17.6418 13.7384 17.6487 13.5255 17.6487 11.7275C17.6487 9.92941 17.6418 9.71647 17.6086 9.00646C17.5781 8.34995 17.4658 7.99333 17.3713 7.75607V7.75607ZM11.9998 15.1851C10.0455 15.1851 8.46124 13.6371 8.46124 11.7273C8.46124 9.81757 10.0455 8.26961 11.9998 8.26961C13.9539 8.26961 15.5381 9.81757 15.5381 11.7273C15.5381 13.6371 13.9539 15.1851 11.9998 15.1851ZM15.678 8.94097C15.2213 8.94097 14.8511 8.57917 14.8511 8.1329C14.8511 7.68664 15.2213 7.32484 15.678 7.32484C16.1346 7.32484 16.5049 7.68664 16.5049 8.1329C16.5047 8.57917 16.1346 8.94097 15.678 8.94097Z" fill={circleColor} />
      <path d="M12 0C5.3736 0 0 5.3736 0 12C0 18.6264 5.3736 24 12 24C18.6264 24 24 18.6264 24 12C24 5.3736 18.6264 0 12 0ZM18.8491 14.8409C18.8157 15.5744 18.6991 16.0752 18.5288 16.5135C18.1708 17.4391 17.4391 18.1708 16.5135 18.5288C16.0754 18.6991 15.5744 18.8156 14.8411 18.8491C14.1063 18.8826 13.8715 18.8906 12.0002 18.8906C10.1287 18.8906 9.8941 18.8826 9.15912 18.8491C8.42578 18.8156 7.9248 18.6991 7.48663 18.5288C7.02667 18.3558 6.61029 18.0846 6.26605 17.7339C5.91559 17.3899 5.64441 16.9733 5.47137 16.5135C5.30109 16.0754 5.18445 15.5744 5.15112 14.8411C5.11725 14.1061 5.10938 13.8713 5.10938 12C5.10938 10.1287 5.11725 9.89392 5.15094 9.15912C5.18427 8.4256 5.30072 7.9248 5.47101 7.48645C5.64404 7.02667 5.91541 6.61011 6.26605 6.26605C6.61011 5.91541 7.02667 5.64423 7.48645 5.47119C7.9248 5.3009 8.4256 5.18445 9.15912 5.15094C9.89392 5.11743 10.1287 5.10938 12 5.10938C13.8713 5.10938 14.1061 5.11743 14.8409 5.15112C15.5744 5.18445 16.0752 5.3009 16.5135 5.47101C16.9733 5.64404 17.3899 5.91541 17.7341 6.26605C18.0846 6.61029 18.356 7.02667 18.5288 7.48645C18.6993 7.9248 18.8157 8.4256 18.8492 9.15912C18.8828 9.89392 18.8906 10.1287 18.8906 12C18.8906 13.8713 18.8828 14.1061 18.8491 14.8409V14.8409Z" fill={circleColor} />
    </svg>
  );
})``;